﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace COWS.Mach5SenderService.RedesignChargeServiceReference {
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://billing.webservices.dn8.sprint.com/")]
    public partial class redesignChargeFault : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string faultCodeField;
        
        private string faultStringField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string faultCode {
            get {
                return this.faultCodeField;
            }
            set {
                this.faultCodeField = value;
                this.RaisePropertyChanged("faultCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string faultString {
            get {
                return this.faultStringField;
            }
            set {
                this.faultStringField = value;
                this.RaisePropertyChanged("faultString");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://billing.webservices.dn8.sprint.com/")]
    public partial class CommonResponseHeaderType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string transactionIdField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=0)]
        public string transactionId {
            get {
                return this.transactionIdField;
            }
            set {
                this.transactionIdField = value;
                this.RaisePropertyChanged("transactionId");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://billing.webservices.dn8.sprint.com/")]
    public partial class redesignBillingChargeResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private CommonResponseHeaderType commonResponseHeaderField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public CommonResponseHeaderType commonResponseHeader {
            get {
                return this.commonResponseHeaderField;
            }
            set {
                this.commonResponseHeaderField = value;
                this.RaisePropertyChanged("commonResponseHeader");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://billing.webservices.dn8.sprint.com/")]
    public partial class RedesignBillingCharge : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string systemField;
        
        private string redesignNumberField;
        
        private string redesignTypeField;
        
        private string customerAccountNumberField;
        
        private System.DateTime activationDateField;
        
        private decimal chargeField;
        
        private string billingEventCodeField;
        
        private string siteField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string system {
            get {
                return this.systemField;
            }
            set {
                this.systemField = value;
                this.RaisePropertyChanged("system");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string redesignNumber {
            get {
                return this.redesignNumberField;
            }
            set {
                this.redesignNumberField = value;
                this.RaisePropertyChanged("redesignNumber");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string redesignType {
            get {
                return this.redesignTypeField;
            }
            set {
                this.redesignTypeField = value;
                this.RaisePropertyChanged("redesignType");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string customerAccountNumber {
            get {
                return this.customerAccountNumberField;
            }
            set {
                this.customerAccountNumberField = value;
                this.RaisePropertyChanged("customerAccountNumber");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public System.DateTime activationDate {
            get {
                return this.activationDateField;
            }
            set {
                this.activationDateField = value;
                this.RaisePropertyChanged("activationDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public decimal charge {
            get {
                return this.chargeField;
            }
            set {
                this.chargeField = value;
                this.RaisePropertyChanged("charge");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=6)]
        public string billingEventCode {
            get {
                return this.billingEventCodeField;
            }
            set {
                this.billingEventCodeField = value;
                this.RaisePropertyChanged("billingEventCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public string site {
            get {
                return this.siteField;
            }
            set {
                this.siteField = value;
                this.RaisePropertyChanged("site");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://billing.webservices.dn8.sprint.com/")]
    public partial class CommonHeaderType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string sendingApplicationIdField;
        
        private string sharedSecretField;
        
        private string transactionIdField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=0)]
        public string sendingApplicationId {
            get {
                return this.sendingApplicationIdField;
            }
            set {
                this.sendingApplicationIdField = value;
                this.RaisePropertyChanged("sendingApplicationId");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=1)]
        public string sharedSecret {
            get {
                return this.sharedSecretField;
            }
            set {
                this.sharedSecretField = value;
                this.RaisePropertyChanged("sharedSecret");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=2)]
        public string transactionId {
            get {
                return this.transactionIdField;
            }
            set {
                this.transactionIdField = value;
                this.RaisePropertyChanged("transactionId");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://billing.webservices.dn8.sprint.com/")]
    public partial class redesignBillingChargeRequestType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private CommonHeaderType commonHeaderField;
        
        private RedesignBillingCharge redesignBillingChargeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public CommonHeaderType commonHeader {
            get {
                return this.commonHeaderField;
            }
            set {
                this.commonHeaderField = value;
                this.RaisePropertyChanged("commonHeader");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public RedesignBillingCharge redesignBillingCharge {
            get {
                return this.redesignBillingChargeField;
            }
            set {
                this.redesignBillingChargeField = value;
                this.RaisePropertyChanged("redesignBillingCharge");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://billing.webservices.dn8.sprint.com/", ConfigurationName="RedesignChargeServiceReference.RedesignCharge")]
    public interface RedesignCharge {
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(COWS.Mach5SenderService.RedesignChargeServiceReference.redesignChargeFault), Action="", Name="RedesignChargeFault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="redesignChargeResponse")]
        COWS.Mach5SenderService.RedesignChargeServiceReference.redesignBillingChargeResponseType assessRedesignCharge(COWS.Mach5SenderService.RedesignChargeServiceReference.redesignBillingChargeRequestType redesignChargeRequest);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="redesignChargeResponse")]
        System.Threading.Tasks.Task<COWS.Mach5SenderService.RedesignChargeServiceReference.redesignBillingChargeResponseType> assessRedesignChargeAsync(COWS.Mach5SenderService.RedesignChargeServiceReference.redesignBillingChargeRequestType redesignChargeRequest);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface RedesignChargeChannel : COWS.Mach5SenderService.RedesignChargeServiceReference.RedesignCharge, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class RedesignChargeClient : System.ServiceModel.ClientBase<COWS.Mach5SenderService.RedesignChargeServiceReference.RedesignCharge>, COWS.Mach5SenderService.RedesignChargeServiceReference.RedesignCharge {
        
        public RedesignChargeClient() {
        }
        
        public RedesignChargeClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public RedesignChargeClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public RedesignChargeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public RedesignChargeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public COWS.Mach5SenderService.RedesignChargeServiceReference.redesignBillingChargeResponseType assessRedesignCharge(COWS.Mach5SenderService.RedesignChargeServiceReference.redesignBillingChargeRequestType redesignChargeRequest) {
            return base.Channel.assessRedesignCharge(redesignChargeRequest);
        }
        
        public System.Threading.Tasks.Task<COWS.Mach5SenderService.RedesignChargeServiceReference.redesignBillingChargeResponseType> assessRedesignChargeAsync(COWS.Mach5SenderService.RedesignChargeServiceReference.redesignBillingChargeRequestType redesignChargeRequest) {
            return base.Channel.assessRedesignChargeAsync(redesignChargeRequest);
        }
    }
}
